Bug 1493612 - Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Summary: Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bacula
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1486480
TreeView+ depends on / blocked
 
Reported: 2017-09-20 15:13 UTC by Michal Schorm
Modified: 2017-10-23 12:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-23 12:49:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Schorm 2017-09-20 15:13:31 UTC
Hello, please apply following command to the package SPECfile:

sed -i "s/mysql-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/%{_libdir}\/mysql/%{_libdir}\/mariadb/" $(fedpkg gimmespec) ;

I've tested, that after the command ^ the package builds successfuly in KOJI and uses mariadb client library.

This change is currently applicable to the Rawhide (f28) only.




For more information check the tracking bugzilla.

Comment 1 Simone Caronni 2017-10-23 12:49:28 UTC
Sorry I missed this bug report. This has been enabled in the latest build.
The SPEC file allows rebuilding of the package from RHEL 6 to the latest Fedora so it still uses mysql-devel in place of mariadb-devel for RHEL 6/7 and Fedora 25/26/27.


Note You need to log in before you can comment on or make changes to this bug.